Skip to main content
DELETE
/
v1
/
replica
/
{id}
/
chats
/
{chatId}
/
queue
Clear Chat Queue
curl --request DELETE \
  --url https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "queue": [
    {
      "id": "<string>",
      "message": "<string>",
      "queuedAt": "2023-11-07T05:31:56Z",
      "senderUserId": "<string>",
      "senderEmail": "<string>",
      "senderDisplayName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Settings > API Keys.

Path Parameters

id
string<uuid>
required

The unique identifier of the replica

chatId
string
required

The unique identifier of the chat

Response

Queue cleared successfully

Result of a queue mutation.

success
boolean
required

Whether the queue mutation changed the queue.

queue
object[]
required